package cc.fascinated.bat.features.minecraft.command;

import cc.fascinated.bat.command.BatCommand;
import cc.fascinated.bat.command.CommandInfo;
import lombok.NonNull;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.context.ApplicationContext;
import org.springframework.stereotype.Component;

/**
 * @author Fascinated (fascinated7)
 */
@Component
@CommandInfo(
        name = "minecraft",
        description = "Minecraft related commands"
)
public class MinecraftCommand extends BatCommand {
    @Autowired
    public MinecraftCommand(@NonNull ApplicationContext context) {
        super.addSubCommands(
                context.getBean(LookupPlayerCommand.class),
                context.getBean(LookupServerCommand.class)
        );
    }
}
