package cc.fascinated.bat.features.minecraft;

import cc.fascinated.bat.features.Feature;
import cc.fascinated.bat.features.FeatureProfile;
import cc.fascinated.bat.features.minecraft.command.MinecraftCommand;
import cc.fascinated.bat.service.CommandService;
import lombok.NonNull;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.context.ApplicationContext;
import org.springframework.stereotype.Component;

/**
 * @author Fascinated (fascinated7)
 */
@Component
public class MinecraftFeature extends Feature {
    @Autowired
    public MinecraftFeature(@NonNull ApplicationContext context, @NonNull CommandService commandService) {
        super("Minecraft", FeatureProfile.FeatureState.DISABLED, true);

        super.registerCommand(commandService, context.getBean(MinecraftCommand.class));
    }
}
